<?php
defined('ABSPATH') or die('No script kiddies please!!');
?>
<div class="wrap std-wrap">
    <div class="std-header std-clearfix">
        <h1 class="std-floatLeft">
            <img src="<?php echo STD_URL . 'images/logo.png' ?>" class="std-plugin-logo" />
            <span class="std-sub-header"><?php esc_html_e('Subscription Forms', 'subscribe-to-download'); ?></span>
        </h1>
        <div class="std-add-wrap">
            <a href="javascript:void(0);" class="std-form-save-trigger"><input type="button" class="std-button-white" value="<?php esc_html_e('Save', 'subscribe-to-download'); ?>"></a>
            <a href="<?php echo admin_url('admin.php?page=subscribe-to-download'); ?>"><input type="button" class="std-button-red" value="<?php esc_html_e('Cancel', 'subscribe-to-download'); ?>"></a>
        </div>
    </div>

    <div class="std-form-wrap std-form-add-block std-clearfix">
        <form method="post" action="" class="std-subscription-form">
            <?php
            /**
             * Navigation Menu
             */
            include(STD_PATH . 'inc/views/backend/form-sections/navigation.php');
            ?>
            <div class="std-settings-section-wrap">

                <?php
                /**
                 * General Settings
                 */
                include(STD_PATH . 'inc/views/backend/form-sections/general-settings.php');
                ?>
                <?php
                /**
                 * Form Settings
                 */
                include(STD_PATH . 'inc/views/backend/form-sections/form-settings.php');
                ?>
                <?php
                /**
                 * Layout Settings
                 */
                include(STD_PATH . 'inc/views/backend/form-sections/layout-settings.php');
                ?>
                <?php
                /**
                 * Email Settings
                 */
                include(STD_PATH . 'inc/views/backend/form-sections/email-settings.php');
                ?>
                <?php
                /**
                 * Custom Settings
                 */
                include(STD_PATH . 'inc/views/backend/form-sections/custom-settings.php');
                ?>
            </div>

        </form>
    </div>
</div>
<div class="std-form-message"></div>